import { defineComponent as T, computed as X, shallowRef as W, ref as p, onMounted as Y, nextTick as $, onUnmounted as _, watch as d, createElementBlock as L, openBlock as E, createElementVNode as O, createCommentVNode as A, normalizeClass as ee, toDisplayString as te } from "vue";
import re from "@amap/amap-jsapi-loader";
import ae from "axios";
import { nanoid as oe } from "nanoid";
/* empty css                                     */
/* empty css                                     */
import "../../../Interaction/components/Tabs/index.mjs";
import "../../../Interaction/components/Tabs-icon/index.mjs";
import "../../../Interaction/components/Button/index.mjs";
import "../../../Interaction/components/DatePicker/index.mjs";
import "../../../Interaction/components/DatePickerRange/index.mjs";
import "../../../Interaction/components/Switch/index.mjs";
import "../../../Interaction/components/Input/index.mjs";
import "../../../Interaction/components/Select/index.mjs";
import "../../../Interaction/components/Slider/index.mjs";
import "../../../Text/components/List/index.mjs";
import "../../../Text/components/Text/index.mjs";
import "../../../Text/components/TextDynamic/index.mjs";
import "../../../Text/components/TableBasic/index.mjs";
import "../../../Text/components/TableScroll/index.mjs";
import "../../../Text/components/RowScroll/index.mjs";
import "../../../Text/components/RealTime/index.mjs";
import "../../../Text/components/OverNumber/index.mjs";
import "../../../Text/components/CountDown/index.mjs";
import "../../../Text/components/TextCarousel/index.mjs";
import "../../../Media/components/Audio/index.mjs";
import "../../../Media/components/Video/index.mjs";
import "../../../Media/components/VideoDynamic/index.mjs";
import "../../../Media/components/Carousel/index.mjs";
import "../../../Media/components/Flv/index.mjs";
import "../../../Media/components/Iframe/index.mjs";
import "../../../Media/components/IframeCarousel/index.mjs";
import "../../../Media/components/Image/index.mjs";
import "../../../Media/components/ImageDynamic/index.mjs";
import "../../../Media/components/M3u8/index.mjs";
import "../../../Media/components/Wavesurfer/index.mjs";
import "../../../Media/components/Weather/index.mjs";
import "../../../Media/components/Qrcode/index.mjs";
import "../../../Chart/components/bar/basic/index.mjs";
import "../../../Chart/components/bar/animation/index.mjs";
import "../../../Chart/components/bar/contrast/index.mjs";
import "../../../Chart/components/bar/contrast2/index.mjs";
import "../../../Chart/components/bar/contrast3/index.mjs";
import "../../../Chart/components/bar/gradient-column-chart/index.mjs";
import "../../../Chart/components/bar/horizontal/index.mjs";
import "../../../Chart/components/bar/horizontal-stack/index.mjs";
import "../../../Chart/components/bar/line-bar/index.mjs";
import "../../../Chart/components/bar/line-bar2/index.mjs";
import "../../../Chart/components/bar/loop/index.mjs";
import "../../../Chart/components/bar/mini/index.mjs";
import "../../../Chart/components/bar/polar/index.mjs";
import "../../../Chart/components/bar/polar-stack/index.mjs";
import "../../../Chart/components/bar/polar2/index.mjs";
import "../../../Chart/components/bar/radius-circle/index.mjs";
import "../../../Chart/components/bar/rank/index.mjs";
import "../../../Chart/components/bar/segmented-progress/index.mjs";
import "../../../Chart/components/bar/spire/index.mjs";
import "../../../Chart/components/bar/stack/index.mjs";
import "../../../Chart/components/bar/stack-line/index.mjs";
import "../../../Chart/components/bar/stack2/index.mjs";
import "../../../Chart/components/bar/stack3/index.mjs";
import "../../../Chart/components/bar/staggered/index.mjs";
import "../../../Chart/components/bar/three/index.mjs";
import "../../../Chart/components/bar/waterfall/index.mjs";
import "../../../Chart/components/bar/zebra/index.mjs";
import "../../../Chart/components/line/area-gradient/index.mjs";
import "../../../Chart/components/line/area-highlight/index.mjs";
import "../../../Chart/components/line/area-highlight2/index.mjs";
import "../../../Chart/components/line/basic/index.mjs";
import "../../../Chart/components/line/bump/index.mjs";
import "../../../Chart/components/line/dashed/index.mjs";
import "../../../Chart/components/line/ladder/index.mjs";
import "../../../Chart/components/line/logarithm/index.mjs";
import "../../../Chart/components/line/multix/index.mjs";
import "../../../Chart/components/line/polar-double/index.mjs";
import "../../../Chart/components/line/rain-flow/index.mjs";
import "../../../Chart/components/line/scale/index.mjs";
import "../../../Chart/components/line/smooth/index.mjs";
import "../../../Chart/components/line/smooth-area/index.mjs";
import "../../../Chart/components/line/stack/index.mjs";
import "../../../Chart/components/line/stack-area/index.mjs";
import "../../../Chart/components/line/temp/index.mjs";
import "../../../Chart/components/line/vertical/index.mjs";
import "../../../Chart/components/map/basic/index.mjs";
import "../../../Chart/components/map/bmap-basic/index.mjs";
import "../../../Chart/components/map/bmap-heatmap/index.mjs";
import "../../../Chart/components/map/bmap-rich/index.mjs";
import "../../../Chart/components/map/customize/index.mjs";
import "../../../Chart/components/map/lines/index.mjs";
import "../../../Chart/components/map/scatter/index.mjs";
import "../../../Chart/components/pie/3d/index.mjs";
import "../../../Chart/components/pie/basic/index.mjs";
import "../../../Chart/components/pie/basic2/index.mjs";
import "../../../Chart/components/pie/customized/index.mjs";
import "../../../Chart/components/pie/index/index.mjs";
import "../../../Chart/components/pie/interval/index.mjs";
import "../../../Chart/components/pie/legend-scroll/index.mjs";
import "../../../Chart/components/pie/radius/index.mjs";
import "../../../Chart/components/pie/rose/index.mjs";
import "../../../Chart/components/pie/round/index.mjs";
import "../../../Chart/components/pie/sunburst/index.mjs";
import "../../../Chart/components/scatter/basic/index.mjs";
import "../../../Chart/components/scatter/basic2/index.mjs";
import "../../../Chart/components/scatter/bubble/index.mjs";
import "../../../Chart/components/scatter/ripples/index.mjs";
import "../../../Chart/components/other/candlestick-basic/index.mjs";
import "../../../Chart/components/other/sunburst-basic/index.mjs";
import "../../../Chart/components/other/sunburst-basic2/index.mjs";
import "../../../Chart/components/other/sunburst-basic3/index.mjs";
import "../../../Chart/components/other/sunburst-basic4/index.mjs";
import "../../../Chart/components/other/sunburst-book/index.mjs";
import "../../../Chart/components/other/sunburst-flavors/index.mjs";
import "../../../Chart/components/other/sunburst-radius/index.mjs";
import "../../../Chart/components/other/funnel/index.mjs";
import "../../../Chart/components/other/funnel-contrast/index.mjs";
import "../../../Chart/components/other/funnel-split/index.mjs";
import "../../../Chart/components/other/funnel2/index.mjs";
import "../../../Chart/components/other/force/index.mjs";
import "../../../Chart/components/other/force2/index.mjs";
import "../../../Chart/components/other/gauge/index.mjs";
import "../../../Chart/components/other/gauge-grade/index.mjs";
import "../../../Chart/components/other/gauge-stage/index.mjs";
import "../../../Chart/components/other/graph-basic/index.mjs";
import "../../../Chart/components/other/graph-basic2/index.mjs";
import "../../../Chart/components/other/graph-calendar/index.mjs";
import "../../../Chart/components/other/circular-graph/index.mjs";
import "../../../Chart/components/other/heatmap/index.mjs";
import "../../../Chart/components/other/liquidfill/index.mjs";
import "../../../Chart/components/other/parallel-basic/index.mjs";
import "../../../Chart/components/other/parallel-mul/index.mjs";
import "../../../Chart/components/other/radar-stack/index.mjs";
import "../../../Chart/components/other/tree/index.mjs";
import "../../../Chart/components/other/tree-line/index.mjs";
import "../../../Chart/components/other/word-cloud/index.mjs";
import "../../../Chart/components/other/treemap/index.mjs";
import "../../../Chart/components/other/treemap-basic/index.mjs";
import "../../../Chart/components/other/label-gauge/index.mjs";
import "../../../Chart/components/other/grid-percentage/index.mjs";
import "../../../Chart/components/other/radar/index.mjs";
import "../../../Commons/components/CustomComponentRender/index.mjs";
import "../../../Commons/components/Graphical/index.mjs";
import "../../../Commons/components/Svg/index.mjs";
import "../../../Commons/components/ModelViewer/index.mjs";
import "../../../Commons/components/VrVideo/index.mjs";
import "../../../Commons/components/VrPhoto/index.mjs";
import "../../../Commons/components/Babylon/index.mjs";
import "../../../Commons/components/Echarts/index.mjs";
import "../../../Commons/components/GSViewer/index.mjs";
import "./index.mjs";
import "../Amap3d/index.mjs";
import "../Default/index.mjs";
import "../Map2d/index.mjs";
import "../Map3d/index.mjs";
import "../UeIframe/index.mjs";
import "../UeShj/index.mjs";
import "../UnityIframe/index.mjs";
import "../UnityWebgl/index.mjs";
import "../Vr/index.mjs";
import "../Earth/index.mjs";
import { SHJDatasourceV2 as le } from "../../../../commons/plugins/datasource/index.mjs";
import { SHJParseEvent as v } from "../../../../commons/plugins/event/index.mjs";
import "lodash";
import { upgradeAmap2d as se } from "./version.mjs";
const ie = { class: "relative w-full h-full" }, ne = {
  key: 0,
  class: "empty-wrap"
}, ce = {
  key: 0,
  class: "iconfont shj-gaodeditu",
  style: { "font-size": "48px" }
}, me = { class: "text-gray-500" }, ue = T({ name: "ShjAmap2d" }), da = /* @__PURE__ */ T({
  ...ue,
  props: {
    option: {},
    sources: {},
    useEvents: {}
  },
  emits: [
    "amap2d-scene-success",
    "amap2d-scene-zoomstart",
    "amap2d-scene-zoomend",
    "amap2d-scene-mapclick",
    "amap2d-scene-dragstart",
    "amap2d-scene-dragging",
    "amap2d-scene-dragend"
  ],
  setup(n, { expose: D, emit: J }) {
    const s = X(() => se(n.option)), y = J, o = W(), c = W(), g = p(!1), w = p(!1);
    let x = 0;
    const h = p(), b = p(), k = p(), u = p(), C = p(""), f = (t) => {
      x += 1;
      const e = x;
      w.value = !1, I(), window._AMapSecurityConfig = {
        securityJsCode: t.basic.securityJsCode
      }, re.load({
        key: t.basic.key,
        // 申请好的Web端开发者Key，首次调用 load 时必填
        version: "2.0",
        // 指定要加载的 JSAPI 的版本，缺省时默认为 1.4.15
        Loca: {
          version: "2.0.0"
        },
        plugins: [
          "AMap.ControlBar",
          "AMap.ToolBar",
          "AMap.Scale",
          "AMap.HeatMap",
          "AMap.GeoJSON",
          "AMap.ImageLayer",
          "AMap.TileLayer"
        ]
      }).then((r) => {
        if (w.value || e !== x) return;
        u.value = r;
        const l = new u.value.createDefaultLayer({
          visible: !0,
          // 是否可见
          opacity: 1,
          // 透明度
          zIndex: 0
          // 叠加层级
        });
        o.value = new r.Map("zerov-amap-2d", {
          rotateEnable: t.config.rotateEnable,
          // 是否开启地图旋转交互 鼠标右键 + 鼠标画圈移动 或 键盘Ctrl + 鼠标画圈移动
          pitchEnable: t.config.pitchEnable,
          // 是否开启地图倾斜交互 鼠标右键 + 鼠标上下移动或键盘Ctrl + 鼠标上下移动
          zoomEnable: t.config.zoomEnable,
          dragEnable: t.config.dragEnable,
          zoom: t.config.zoom,
          // 初始化地图层级
          viewMode: "2D",
          // 开启3D视图,默认为关闭
          zooms: t.config.zooms,
          // 地图显示的缩放级别范围
          center: t.config.center,
          // 初始地图中心经纬度
          mapStyle: t.config.mapStyle,
          features: t.config.features,
          layers: [l]
        }), c.value = new window.Loca.Container({
          map: o.value
        }), k.value = new u.value.Scale({
          visible: t.config.plugin.scale.visible,
          position: {
            left: t.config.plugin.scale.position.left + "px",
            bottom: t.config.plugin.scale.position.bottom + "px"
          }
        }), o.value.addControl(k.value), h.value = new r.ControlBar({
          visible: t.config.plugin.controlBar.visible,
          showControlButton: t.config.plugin.controlBar.showControlButton,
          position: {
            right: t.config.plugin.controlBar.position.right + "px",
            top: t.config.plugin.controlBar.position.top + "px"
          }
        }), o.value.addControl(h.value), b.value = new r.ToolBar({
          visible: t.config.plugin.toolBar.visible,
          position: {
            left: t.config.plugin.toolBar.position.left + "px",
            top: t.config.plugin.toolBar.position.top + "px"
          }
        }), o.value.addControl(b.value), B(r), o.value.on("complete", () => {
          setTimeout(() => {
            g.value = !0, y("amap2d-scene-success"), v.parseEvents(n.useEvents, "amap2d-scene-success", null);
          }, 666);
        }), o.value.on("zoomstart", () => {
          y("amap2d-scene-zoomstart"), v.parseEvents(n.useEvents, "amap2d-scene-zoomstart", null);
        }), o.value.on("zoomend", () => {
          y("amap2d-scene-zoomend"), v.parseEvents(n.useEvents, "amap2d-scene-zoomend", null);
        }), o.value.on("click", (a) => {
          y("amap2d-scene-mapclick", a.lnglat), v.parseEvents(n.useEvents, "amap2d-scene-mapclick", a.lnglat);
        }), o.value.on("dragstart", (a) => {
          y("amap2d-scene-dragstart", a.lnglat), v.parseEvents(
            n.useEvents,
            "amap2d-scene-dragstart",
            a.lnglat
          );
        }), o.value.on("dragend", (a) => {
          y("amap2d-scene-dragend", a.lnglat), v.parseEvents(n.useEvents, "amap2d-scene-dragend", a.lnglat);
        });
      }).catch((r) => {
        g.value = !1, C.value = "缺少必要的Key和密钥，请先在右侧配置面板中进行配置";
      });
    }, B = (t) => {
      n.sources && n.sources.length > 0 && s.value.widgets.forEach((r, l) => {
        r && r.type === "boundary" || le.parse({
          sources: [n.sources[l]],
          callback: (a) => {
            try {
              r && r.type === "heatmap" && F(t, r, a.data[0].data), r && r.type === "dotlayers" && H(
                window.Loca,
                r,
                S(a.data[0].data)
              ), r && r.type === "scatter" && V(
                window.Loca,
                r,
                S(a.data[0].data)
              ), r && r.type === "labelsLayer" && R(
                window.Loca,
                r,
                S(a.data[0].data)
              );
            } catch {
            }
          }
        });
      }), s.value.widgets.filter((r) => r.type === "boundary").forEach((r) => {
        G(t, r);
      });
      const e = o.value.getLayers();
      for (let r = 0; r < e.length; r++)
        (e[r].type === "sketchTileLayer" || e[r]._opts.type === "sketchImageLayer") && o.value.removeLayer(e[r]);
      s.value.widgets.filter((r) => r.type === "sketchTile").forEach((r) => {
        const l = N(r);
        l && o.value.addLayer(l);
      }), s.value.widgets.filter((r) => r.type === "sketchImage").forEach((r) => {
        const l = j(r);
        o.value.addLayer(l);
      });
    }, P = (t) => {
      const r = t.slice(
        t.indexOf("(") + 1,
        t.lastIndexOf(")")
      ).split(",").map((a) => a.trim()), l = {};
      for (let a = 1; a < r.length; a++) {
        const m = r[a].split(" "), i = m[0], z = parseFloat(m[1]) / 100, Q = Math.round(z * 100) / 100;
        l[Q] = i;
      }
      return l;
    }, N = (t) => {
      try {
        return new u.value.TileLayer({
          bounds: new u.value.Bounds(
            t.bounds[0],
            t.bounds[1]
          ),
          getTileUrl: function(r, l, a) {
            try {
              return t.url.replace("{z}", a).replace("{x}", r).replace("{y}", l);
            } catch {
            }
          },
          type: "sketchTileLayer",
          tileSize: t.tileSize,
          opacity: t.opacity,
          zIndex: t.zIndex,
          zooms: t.zooms
        });
      } catch {
      }
      return null;
    }, j = (t) => {
      try {
        return new u.value.ImageLayer({
          bounds: new u.value.Bounds(
            t.bounds[0],
            // 左下  手绘图左下相对于地图的经纬度
            t.bounds[1]
            // 右上  手绘图右上相对于地图的经纬度
          ),
          type: "sketchImageLayer",
          opacity: t.opacity,
          url: t.url,
          zIndex: t.zIndex,
          zooms: t.zooms
          // 设置可见级别，[最小级别，最大级别]
        });
      } catch {
      }
      return null;
    }, F = (t, e, r) => {
      try {
        const l = new t.HeatMap(o.value, {
          radius: e.radius,
          // 给定半径
          opacity: e.opacity,
          gradient: P(e.gradient)
        });
        setTimeout(() => {
          l.setDataSet({
            data: r,
            max: e.max
          });
        }, 0);
      } catch {
      }
    }, G = async (t, e) => {
      try {
        const r = await ae.get(e.geojson);
        if (r.status === 200) {
          const l = new t.GeoJSON({
            geoJSON: r.data,
            getPolygon: function(a, m) {
              const i = new t.Polygon({
                path: m,
                zIndex: e.zIndex,
                fillColor: e.style.fillColor,
                // 填充色
                strokeOpacity: e.style.strokeOpacity,
                // 轮廓线透明度
                fillOpacity: e.style.fillOpacity,
                // 填充色透明度
                strokeColor: e.style.strokeColor,
                // 线条颜色
                strokeWeight: e.style.strokeWeight,
                // 线条宽度
                strokeStyle: e.style.strokeStyle
                // 线条样式
              });
              return i.on("mouseover", () => {
                i.setOptions({
                  fillOpacity: e.mouseover.fillOpacity,
                  fillColor: e.mouseover.fillColor,
                  strokeOpacity: e.mouseover.strokeOpacity,
                  strokeColor: e.mouseover.strokeColor,
                  strokeStyle: e.mouseover.strokeStyle,
                  strokeWeight: e.mouseover.strokeWeight
                });
              }), i.on("mouseout", () => {
                i.setOptions({
                  fillColor: e.style.fillColor,
                  // 填充色
                  strokeOpacity: e.style.strokeOpacity,
                  // 轮廓线透明度
                  fillOpacity: e.style.fillOpacity,
                  // 填充色透明度
                  strokeColor: e.style.strokeColor,
                  // 线条颜色
                  strokeWeight: e.style.strokeWeight,
                  // 线条宽度
                  strokeStyle: e.style.strokeStyle
                  // 线条样式
                });
              }), i;
            }
          });
          o.value.add(l);
        }
      } catch {
      }
    }, H = (t, e, r) => {
      try {
        const l = new t.GeoJSONSource({
          data: r
        }), a = new t.PointLayer({
          zIndex: e.zIndex,
          blend: e.blend,
          visible: e.visible,
          opacity: e.opacity
        }), m = {
          radius: e.style.radius,
          unit: e.style.unit,
          color: e.style.color,
          borderWidth: e.style.borderWidth,
          blurWidth: e.style.blurWidth,
          borderColor: e.style.borderColor
        };
        a.setSource(l), a.setStyle(m), c.value.add(a), a.addAnimate({
          key: e.animate.key,
          value: e.animate.value,
          duration: e.animate.duration,
          easing: e.animate.easing,
          transform: e.animate.transform,
          random: e.animate.random,
          delay: e.animate.delay,
          yoyo: e.animate.yoyo,
          repeat: e.animate.repeat
        });
      } catch {
      }
    }, V = (t, e, r) => {
      try {
        const l = new t.GeoJSONSource({
          data: r
        }), a = new t.ScatterLayer({
          loca: c.value,
          zIndex: e.zIndex,
          opacity: e.opacity,
          visible: e.visible,
          zooms: e.zooms
        });
        a.setSource(l), a.setStyle({
          unit: e.style.unit,
          size: e.style.size,
          borderWidth: e.style.borderWidth,
          texture: e.style.texture,
          duration: e.style.duration,
          animate: e.style.animate
        }), c.value.animate.start();
      } catch {
      }
    }, R = (t, e, r) => {
      try {
        const l = new t.GeoJSONSource({
          data: r
        }), a = new t.LabelsLayer({
          eventSupport: !0,
          visible: e.visible,
          zooms: e.zooms,
          opacity: e.opacity,
          collision: e.collision,
          allowCollision: e.allowCollision,
          zIndex: e.zIndex
        });
        a.setSource(l), a.setStyle({
          icon: {
            image: e.icon.image,
            size: e.icon.size,
            clipOrigin: e.icon.clipOrigin,
            offset: e.icon.offset,
            anchor: e.icon.anchor
          },
          text: {
            // 每项配置都可使用回调函数来动态配置
            content: (m, i) => i.properties[e.text.content],
            zooms: e.text.zooms,
            offset: e.text.offset,
            direction: e.text.direction,
            style: {
              fontSize: e.text.style.fontSize,
              fillColor: e.text.style.fillColor,
              strokeColor: e.text.style.strokeColor,
              strokeWidth: e.text.style.strokeWidth,
              padding: e.text.style.padding,
              backgroundColor: e.text.style.backgroundColor,
              borderColor: e.text.style.borderColor,
              borderWidth: e.text.style.borderWidth,
              fold: e.text.style.fold,
              fontWeight: e.text.style.fontWeight
            }
          }
        }), a.on("complete", () => {
          const m = a.getLabelsLayer().getAllOverlays();
          for (const i of m)
            i.on("click", (z) => {
            }), i.on("mouseover", (z) => {
            }), i.on("mouseout", (z) => {
            });
        }), c.value.add(a);
      } catch {
      }
    }, S = (t) => {
      const e = {
        type: "FeatureCollection",
        features: []
      };
      return t.forEach((r) => {
        const l = {
          type: "Feature",
          id: oe(),
          properties: {
            name: r.name || "",
            _draw_type: "point"
          },
          geometry: {
            type: "Point",
            coordinates: r.value
          }
        };
        e.features.push(l);
      }), e;
    }, M = (t) => {
      o.value && (o.value.setFeatures(t.config.features), o.value.setStatus({
        dragEnable: t.config.dragEnable,
        zoomEnable: t.config.zoomEnable,
        rotateEnable: t.config.rotateEnable
      }), t.config.plugin.scale.visible ? k.value.show() : k.value.hide(), t.config.plugin.toolBar.visible ? b.value.show() : b.value.hide(), t.config.plugin.controlBar.visible ? h.value.show() : h.value.hide());
    }, U = () => {
      o.value && (o.value.clearMap(), c.value.clear(), B(u.value));
    }, Z = (t) => {
      o.value && o.value.setMapStyle(t.config.mapStyle);
    }, K = (t) => {
      o.value && o.value.setZoom(t.config.zoom, !1, 200);
    }, q = (t) => {
      o.value && o.value.setCenter(t.config.center, !1, 200);
    }, I = () => {
      o.value && (o.value.clearMap(), o.value.destroy(), o.value = null), c.value && (c.value.clear(), c.value.destroy(), c.value = null);
    };
    return Y(() => {
      $(() => {
        f(s.value);
      });
    }), _(() => {
      w.value = !0, I();
    }), d(
      () => s.value.config,
      () => {
        M(s.value);
      },
      { deep: !0 }
    ), d(
      () => s.value.config.zoom,
      () => {
        K(s.value);
      },
      { deep: !0 }
    ), d(
      () => s.value.config.center,
      () => {
        q(s.value);
      },
      { deep: !0 }
    ), d(
      () => s.value.widgets,
      () => {
        U();
      },
      { deep: !0 }
    ), d(
      () => s.value.config.mapStyle,
      () => {
        Z(s.value);
      },
      { deep: !0 }
    ), d(
      () => s.value.basic,
      () => {
        f(s.value);
      },
      { deep: !0 }
    ), d(
      () => n.sources,
      () => {
        f(s.value);
      },
      { deep: !0 }
    ), D({
      refresh: () => f(s.value),
      refreshView: () => M(s.value),
      refreshData: () => f(s.value)
    }), (t, e) => (E(), L("div", ie, [
      O("div", {
        class: ee(["amap-2d-wrap", { show: g.value }])
      }, e[0] || (e[0] = [
        O("div", {
          id: "zerov-amap-2d",
          class: "zerov-amap-container"
        }, null, -1)
      ]), 2),
      g.value ? A("", !0) : (E(), L("div", ne, [
        C.value !== "" ? (E(), L("i", ce)) : A("", !0),
        O("p", me, te(C.value), 1)
      ]))
    ]));
  }
});
export {
  da as default
};
